Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface FeatureStyleFactory

    @Extension
    public interface FeatureStyleFactory

Class that knows how to parse `FeatureStyle` elements from various places.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Object` | `createStyleObject(Class interfaceToMakeAnInstanceOf)` Must pass in the Class of one of the interfaces in the package `org.opengis.sld`.
`FeatureStyle` | `parse(InputSource is)` Parses a feature style from a XML input source.
`FeatureStyle` | `parse(InputStream is)` Parses a feature style from a J2SE input stream.
`FeatureStyle` | `parse(String url)` Parses a feature style from a character string.

Method Detail

### parse

    FeatureStyle parse(InputStream is)

  Parses a feature style from a J2SE input stream.

### parse

    FeatureStyle parse(InputSource is)

  Parses a feature style from a XML input source.

### parse

    FeatureStyle parse(String url)

  Parses a feature style from a character string.

### createStyleObject

    Object createStyleObject(Class interfaceToMakeAnInstanceOf)

  Must pass in the Class of one of the interfaces in the package `org.opengis.sld`. Returns an instance of that interface with no properties set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.